| CMSIS-CORE Version 4.00 CMSIS-CORE support for Cortex-M processor-based devices

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Groups Pages
Data Fields
FPU_Type Struct Reference

Structure type to access the Floating Point Unit (FPU).

## Data Fields

uint32_t | RESERVED0 [1]
| Reserved.
__IO uint32_t | FPCCR
| Offset: 0x004 (R/W) Floating-Point Context Control Register.
__IO uint32_t | FPCAR
| Offset: 0x008 (R/W) Floating-Point Context Address Register.
__IO uint32_t | FPDSCR
| Offset: 0x00C (R/W) Floating-Point Default Status Control Register.
__I uint32_t | MVFR0
| Offset: 0x010 (R/ ) Media and FP Feature Register 0.
__I uint32_t | MVFR1
| Offset: 0x014 (R/ ) Media and FP Feature Register 1.

## Field Documentation

__IO uint32_t FPU_Type::FPCAR

__IO uint32_t FPU_Type::FPCCR

__IO uint32_t FPU_Type::FPDSCR

__I uint32_t FPU_Type::MVFR0

__I uint32_t FPU_Type::MVFR1

uint32_t FPU_Type::RESERVED0[1]